rpm-devel-4.14.0-2.fc27.i686.rpm


Advertisement

Description

rpm-devel - Development files for manipulating RPM packages

Property Value
Distribution Fedora 27
Repository Fedora i386
Package name rpm-devel
Package version 4.14.0
Package release 2.fc27
Package architecture i686
Package type rpm
Installed size 271.81 KB
Download size 131.22 KB
Official Mirror dl.fedoraproject.org
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.
This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

Alternatives

Package Version Architecture Repository
rpm-devel-4.14.2-1.fc27.i686.rpm 4.14.2 i686 Fedora Updates
rpm-devel-4.14.2-1.fc27.i686.rpm 4.14.2 i686 Fedora Updates
rpm-devel-4.14.2-1.fc27.x86_64.rpm 4.14.2 x86_64 Fedora Updates
rpm-devel-4.14.0-2.fc27.i686.rpm 4.14.0 i686 Fedora
rpm-devel-4.14.0-2.fc27.x86_64.rpm 4.14.0 x86_64 Fedora
rpm-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libacl.so.1 -
libbz2.so.1 -
libc.so.6(GLIBC_2.4) -
libcap.so.2 -
libcrypto.so.1.1 -
libdb-5.3.so -
libdl.so.2 -
libelf.so.1 -
liblua-5.3.so -
liblzma.so.5 -
libm.so.6 -
libpopt.so.0 -
libpopt.so.0(LIBPOPT_0) -
libpthread.so.0 -
librpm.so.8 -
librpmbuild.so.8 -
librpmio.so.8 -
librpmsign.so.8 -
libz.so.1 -
libzstd.so.1 -
pkgconfig(libzstd) -
popt-devel(x86-32) -
rpm = 4.14.0-2.fc27
rpm-build-libs(x86-32) = 4.14.0-2.fc27
rpm-libs(x86-32) = 4.14.0-2.fc27
rtld(GNU_HASH) -

Provides

Name Value
pkgconfig(rpm) = 4.14.0
rpm-devel = 4.14.0-2.fc27
rpm-devel(x86-32) = 4.14.0-2.fc27

Download

Type URL
Binary Package rpm-devel-4.14.0-2.fc27.i686.rpm
Source Package rpm-4.14.0-2.fc27.src.rpm

Install Howto

Install the rpm-devel rpm package:

# dnf install rpm-devel

Files

Path
/usr/bin/rpmgraph
/usr/include/rpm/argv.h
/usr/include/rpm/header.h
/usr/include/rpm/rpmarchive.h
/usr/include/rpm/rpmbase64.h
/usr/include/rpm/rpmbuild.h
/usr/include/rpm/rpmcallback.h
/usr/include/rpm/rpmcli.h
/usr/include/rpm/rpmdb.h
/usr/include/rpm/rpmds.h
/usr/include/rpm/rpmfc.h
/usr/include/rpm/rpmfi.h
/usr/include/rpm/rpmfiles.h
/usr/include/rpm/rpmfileutil.h
/usr/include/rpm/rpmio.h
/usr/include/rpm/rpmkeyring.h
/usr/include/rpm/rpmlib.h
/usr/include/rpm/rpmlog.h
/usr/include/rpm/rpmmacro.h
/usr/include/rpm/rpmpgp.h
/usr/include/rpm/rpmpol.h
/usr/include/rpm/rpmprob.h
/usr/include/rpm/rpmps.h
/usr/include/rpm/rpmsign.h
/usr/include/rpm/rpmspec.h
/usr/include/rpm/rpmsq.h
/usr/include/rpm/rpmstring.h
/usr/include/rpm/rpmstrpool.h
/usr/include/rpm/rpmsw.h
/usr/include/rpm/rpmtag.h
/usr/include/rpm/rpmtd.h
/usr/include/rpm/rpmte.h
/usr/include/rpm/rpmts.h
/usr/include/rpm/rpmtypes.h
/usr/include/rpm/rpmurl.h
/usr/include/rpm/rpmutil.h
/usr/include/rpm/rpmvf.h
/usr/lib/librpm.so
/usr/lib/librpmbuild.so
/usr/lib/librpmio.so
/usr/lib/librpmsign.so
/usr/lib/.build-id/
/usr/lib/.build-id/34/424acef3c7840d3c531b89c7ee2ffc0fca003f
/usr/lib/pkgconfig/rpm.pc
/usr/share/man/man8/rpmgraph.8.gz

Changelog

See rpm-4.14.0-2.fc27.i686.rpm changelog.

See Also

Package Description
rpm-libs-4.14.0-2.fc27.i686.rpm Libraries for manipulating RPM packages
rpm-mpi-hooks-5-2.fc27.noarch.rpm RPM dependency generator hooks for MPI packages
rpm-ostree-2017.9-1.fc27.i686.rpm Hybrid image/package system
rpm-ostree-devel-2017.9-1.fc27.i686.rpm Development headers for rpm-ostree
rpm-ostree-libs-2017.9-1.fc27.i686.rpm Shared library for rpm-ostree
rpm-ostree-toolbox-2017.2-3.fc27.i686.rpm Extra tools for rpm-ostree
rpm-plugin-ima-4.14.0-2.fc27.i686.rpm Rpm plugin ima file signatures
rpm-plugin-prioreset-4.14.0-2.fc27.i686.rpm Rpm plugin for resetting scriptlet priorities for SysV init
rpm-plugin-selinux-4.14.0-2.fc27.i686.rpm Rpm plugin for SELinux functionality
rpm-plugin-syslog-4.14.0-2.fc27.i686.rpm Rpm plugin for syslog functionality
rpm-plugin-systemd-inhibit-4.14.0-2.fc27.i686.rpm Rpm plugin for systemd inhibit functionality
rpm-sign-4.14.0-2.fc27.i686.rpm Package signing support
rpmconf-1.0.19-2.fc27.noarch.rpm Tool to handle rpmnew and rpmsave files
rpmconf-base-1.0.19-2.fc27.noarch.rpm Filesystem for rpmconf
rpmdeplint-1.3-3.fc27.noarch.rpm Tool to find errors in RPM packages in the context of their dependency graph
Advertisement
Advertisement